Bug 525897 - [abrt] crash detected in yum-utils-1.1.23-3.fc12
Summary: [abrt] crash detected in yum-utils-1.1.23-3.fc12
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: yum
Version: rawhide
Hardware: x86_64
OS: Linux
low
medium
Target Milestone: ---
Assignee: Seth Vidal
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:0c2792e5
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-09-26 20:51 UTC by Nicolas Mailhot
Modified: 2014-01-21 23:11 UTC (History)
18 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-10-12 21:41:39 UTC


Attachments (Terms of Use)
File: backtrace (7.56 KB, text/plain)
2009-09-26 20:51 UTC, Nicolas Mailhot
no flags Details

Description Nicolas Mailhot 2009-09-26 20:51:44 UTC
abrt detected a crash.


How to reproduce
-----
1.
2.
3.


Additional information
======


Attached files
----
backtrace

cmdline
-----
/usr/bin/python -tt /usr/bin/repoquery --repofrompath=local-fontrepo,file://srv/rpm/ --repoid=local-fontrepo --location dejavu-serif-fonts-0:2.30-1.fc12.noarch 


component
-----
yum-utils


executable
-----
/usr/bin/repoquery


kernel
-----
2.6.31.1-48.fc12.x86_64


package
-----
yum-utils-1.1.23-3.fc12


uuid
-----
0c2792e5

Comment 1 Nicolas Mailhot 2009-09-26 20:51:47 UTC
Created attachment 362780 [details]
File: backtrace

Comment 2 James Antill 2009-09-28 15:59:54 UTC
Traceback (most recent call last):
  File "/usr/bin/repoquery", line 33, in <module>
    import yum
  File "/usr/lib/python2.6/site-packages/yum/__init__.py", line 46, in <module>
    import comps
  File "/usr/lib/python2.6/site-packages/yum/comps.py", line 23, in <module>
    iterparse = cElementTree.iterparse
AttributeError: 'module' object has no attribute 'iterparse'

...wow.

Comment 3 James Antill 2009-09-29 21:10:47 UTC
Can does yum --version say?

Also can you run:

 package-cleanup --problems
 package-cleanup --dupes
 rpm -Va

Comment 4 Nicolas Mailhot 2009-09-29 21:32:25 UTC
# yum --version 
3.2.24
  Installed: rpm-4.7.1-6.fc12.x86_64 at 2009-09-21 17:51
  Built    : Fedora Project at 2009-09-21 13:30
  Committed: Panu Matilainen <pmatilai@redhat.com> at 2009-09-21 12:00

  Installed: yum-3.2.24-6.fc12.noarch at 2009-09-24 20:15
  Built    : Fedora Project at 2009-09-24 02:08
  Committed: Seth Vidal <skvidal at fedoraproject.org> at 2009-09-23 12:00

  Installed: yum-metadata-parser-1.1.2-14.fc12.x86_64 at 2009-09-05 13:20
  Built    : Fedora Project at 2009-08-18 16:30
  Committed: Seth Vidal <skvidal at fedoraproject.org> at 2009-08-18 12:00

# package-cleanup --problems
Setting up yum
Loaded plugins: refresh-packagekit
Reading local RPM database
Processing all local requires
No problems found
# package-cleanup --dupes
Setting up yum
Loaded plugins: refresh-packagekit


Note that in 4 days the system state probably changed

Comment 5 seth vidal 2009-10-12 21:41:39 UTC
I can't see how you can get that traceback and not have any other system issues.

I'm going to close this as insufficient_data b/c clearly something is missing here.


Note You need to log in before you can comment on or make changes to this bug.